Skip to main content
PUT
/
v1
/
aggregators
/
{raast-aggregator-id}
/
keys
/
{access-key-id}
curl --request PUT \
  --url https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/keys/{access-key-id} \
  --header 'Content-Type: application/json' \
  --header 'X-SFPY-AGGREGATOR-SECRET-KEY: <api-key>' \
  --data '
{
  "is_active": false
}
'
{
  "api_version": "v1",
  "data": {}
}

Authorizations

X-SFPY-AGGREGATOR-SECRET-KEY
string
header
required

Path Parameters

raast-aggregator-id
string
required

The unique identifier for the aggregator

Example:

"agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e"

access-key-id
string
required

The unique identifier for the access key

Example:

"ak_da8f1c10-346a-4be8-895a-b6187a9a9662"

Body

application/json

Request to update an existing access key

Fields that can be modified on an existing access key

is_active
boolean

Toggle indicating whether the key should be active

Example:

false

name
string

Updated label for the access key

Example:

"Updated Access Key"

Response

200 - application/json

Successful operation

Standard response structure for successful operations

api_version
string

The current version of the API spec

Example:

"v1"

data
object

Empty payload structure returned for successful operations without additional data

Example:
{}